import { XYChartDescription } from "./XYChartDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class CategoryChartDescription extends XYChartDescription {
    static $t: Type;
    private h9;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private id;
    get width(): string;
    set width(a: string);
    private h7;
    get height(): string;
    set height(a: string);
    private h5;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    constructor();
    private h1;
    get transitionInDuration(): number;
    set transitionInDuration(a: number);
    private ia;
    get transitionInEasingFunctionRef(): string;
    set transitionInEasingFunctionRef(a: string);
    private h6;
    get chartType(): string;
    set chartType(a: string);
    private h8;
    get markerCollisionAvoidance(): string;
    set markerCollisionAvoidance(a: string);
    private hd;
    get isTransitionInEnabled(): boolean;
    set isTransitionInEnabled(a: boolean);
    private ib;
    get transitionInMode(): string;
    set transitionInMode(a: string);
    private ic;
    get transitionInSpeedType(): string;
    set transitionInSpeedType(a: string);
    private hm;
    get xAxisInterval(): number;
    set xAxisInterval(a: number);
    private hn;
    get xAxisMinorInterval(): number;
    set xAxisMinorInterval(a: number);
    private hl;
    get xAxisGap(): number;
    set xAxisGap(a: number);
    private ho;
    get xAxisOverlap(): number;
    set xAxisOverlap(a: number);
    private hp;
    get yAxisInterval(): number;
    set yAxisInterval(a: number);
    private hf;
    get yAxisIsLogarithmic(): boolean;
    set yAxisIsLogarithmic(a: boolean);
    private h2;
    get yAxisLogarithmBase(): number;
    set yAxisLogarithmBase(a: number);
    private hr;
    get yAxisMinimumValue(): number;
    set yAxisMinimumValue(a: number);
    private hq;
    get yAxisMaximumValue(): number;
    set yAxisMaximumValue(a: number);
    private hs;
    get yAxisMinorInterval(): number;
    set yAxisMinorInterval(a: number);
    private g7;
    get negativeBrushes(): string[];
    set negativeBrushes(a: string[]);
    private g8;
    get negativeOutlines(): string[];
    set negativeOutlines(a: string[]);
    private he;
    get yAxisAbbreviateLargeNumbers(): boolean;
    set yAxisAbbreviateLargeNumbers(a: boolean);
    private hb;
    get isCategoryHighlightingEnabled(): boolean;
    set isCategoryHighlightingEnabled(a: boolean);
    private hc;
    get isItemHighlightingEnabled(): boolean;
    set isItemHighlightingEnabled(a: boolean);
}
